Loading...
Searching...
No Matches
casacore::SDMainHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDMainHandler.h>`

## Public Member Functions

| SDMainHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDMainHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS - mark fields in row as handled
| SDMainHandler (const SDMainHandler &other)
| copy ctor
| ~SDMainHandler ()
SDMainHandler & | operator= (const SDMainHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, mark fields in row as handled
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS
void | fill (const Record &row, const MEpoch &time, Int antennaId, Int feedId, Int dataDescId, Int fieldId, const MVTime &exposure, Int observationId, const Matrix< Float > &floatData)
| fill - a new row is always added

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| cleanup row-related stuff
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| intialize the row related stuff

## Private Attributes

MeasurementSet * | ms_p
MSMainColumns * | msCols_p
Int | scanNumberId_p
DataType | scanNumberType_p
Int | arrayIdId_p
| fields from sdfits2ms, independent of MS version number so far
Int | sigmaId_p
Int | flagRowId_p
Int | intervalId_p
Int | weightId_p
Int | flagId_p
Int | timeCentroidId_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 84 of file SDMainHandler.h.

## Constructor & Destructor Documentation

## SDMainHandler() [1/3]

casacore::SDMainHandler::SDMainHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDMainHandler().

## SDMainHandler() [2/3]

casacore::SDMainHandler::SDMainHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS - mark fields in row as handled

References casacore::Record().

## SDMainHandler() [3/3]

casacore::SDMainHandler::SDMainHandler | ( | const SDMainHandler & | other | ) |

copy ctor

References SDMainHandler().

## ~SDMainHandler()

casacore::SDMainHandler::~SDMainHandler | ( |  | ) |

inline

Definition at line 96 of file SDMainHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDMainHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, mark fields in row as handled

References casacore::Record().

## clearAll()

void casacore::SDMainHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDMainHandler().

## clearRow()

void casacore::SDMainHandler::clearRow | ( |  | ) |

private

cleanup row-related stuff

## fill()

void casacore::SDMainHandler::fill | ( | const Record & | row,
|  | const MEpoch & | time,
|  | Int | antennaId,
|  | Int | feedId,
|  | Int | dataDescId,
|  | Int | fieldId,
|  | const MVTime & | exposure,
|  | Int | observationId,
|  | const Matrix< Float > & | floatData )

fill - a new row is always added

References casacore::Record(), and casacore::time().

## initAll()

void casacore::SDMainHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDMainHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

intialize the row related stuff

References casacore::Record().

## operator=()

SDMainHandler & casacore::SDMainHandler::operator= | ( | const SDMainHandler & | other | ) |

assignment operator, uses copy semantics

References SDMainHandler().

## resetRow()

void casacore::SDMainHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS

References casacore::Record().

## Member Data Documentation

## arrayIdId_p

Int casacore::SDMainHandler::arrayIdId_p

private

fields from sdfits2ms, independent of MS version number so far

Definition at line 119 of file SDMainHandler.h.

## flagId_p

Int casacore::SDMainHandler::flagId_p

private

Definition at line 119 of file SDMainHandler.h.

## flagRowId_p

Int casacore::SDMainHandler::flagRowId_p

private

Definition at line 119 of file SDMainHandler.h.

## intervalId_p

Int casacore::SDMainHandler::intervalId_p

private

Definition at line 119 of file SDMainHandler.h.

## ms_p

MeasurementSet* casacore::SDMainHandler::ms_p

private

Definition at line 112 of file SDMainHandler.h.

## msCols_p

MSMainColumns* casacore::SDMainHandler::msCols_p

private

Definition at line 113 of file SDMainHandler.h.

## scanNumberId_p

Int casacore::SDMainHandler::scanNumberId_p

private

Definition at line 115 of file SDMainHandler.h.

## scanNumberType_p

DataType casacore::SDMainHandler::scanNumberType_p

private

Definition at line 116 of file SDMainHandler.h.

## sigmaId_p

Int casacore::SDMainHandler::sigmaId_p

private

Definition at line 119 of file SDMainHandler.h.

## timeCentroidId_p

Int casacore::SDMainHandler::timeCentroidId_p

private

Definition at line 120 of file SDMainHandler.h.

## weightId_p

Int casacore::SDMainHandler::weightId_p

private

Definition at line 119 of file SDMainHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDMainHandler.h